
Foreman - Bug #1382

no such file to load -- pg

12/07/2011 03:21 PM - Florian Koch

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

fresh install of the new develop branch. Database is from 0.4 with postgres 9.1

bundle install says all installed, if i run gem install pg, all went find, but i always get

no such file to load -- pg

 
while running RAILS_ENV=production rake db:migrate

 if i add

gem 'pg', :require => 'pg

 to the Gemfile and run bundle install all went fine and now i can run

while running RAILS_ENV=production rake db:migrate

 without problems

Related issues:

Related to Foreman - Bug #1367: Ensure all gems are defined in Bundler Gemfile Closed 12/04/2011

History

#1 - 12/20/2011 06:56 AM - Ohad Levy

Yes thats correct.

I'm still not 100% sure of how to solve this, one possible solution would be to use bundler groups

something like

bundle install --with pg

#2 - 01/03/2012 10:40 AM - Ohad Levy

- Status changed from New to Duplicate
